﻿@model FA.Model.CompanyModel.CreateCompanyModel
@{
    ViewData["Title"] = "CreateCompany";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="card-header">
    <h3 class="card-title">Thêm công ty</h3>
</div>
<div class="card-body">
    <div class="form-group row">
        <label class="col-3 col-form-label">Mã công ty</label>
        <div class="col-9">
            <input type="text" class="form-control" asp-for="CompanyCode" placeholder="Mã công ty">
        </div>
    </div>
    <div class="form-group row">
        <label class="col-3 col-form-label">Tên công ty</label>
        <div class="col-sm-9">
            <input type="text" class="form-control" asp-for="CompanyName" placeholder="Tên công ty">
        </div>
    </div>
</div>
<!-- /.card-body -->
<div class="card-footer">
    <a href="@Url.Action("Companies","Company")" class="btn btn-default">Quay lại</a>
    <button type="submit" onclick="SaveCompany()" class="btn btn-info">Thêm</button>
</div>
@*<script src="~/plugins/jquery/jquery.min.js"></script>*@
<script>
    function SaveCompany() {
        var formData = new FormData();
        formData.append("CompanyCode", $("#CompanyCode").val());
        formData.append("CompanyName", $("#CompanyName").val());
        formData.append("__RequestVerificationToken", _token);

        $.ajax({
            type: "POST",
            url: '@Url.Action("InsertCompany")',
            data: formData,
            contentType: false,
            processData: false,
            dataType: "json",
            success: function(rs) {
                if (rs.code != 401)
                    callback(rs);
                else if (rs.code == 401) {
                    location.href = "/";
                }
            }
        });
    }
</script>
